#!/usr/bin/env python3
# coding: utf-8

import os
import json
import sys

# getting the name of the directory
# where the this file is present.
current = os.path.dirname(os.path.realpath(__file__))
 
# Getting the parent directory name
# where the current directory is present.
parent = os.path.dirname(current)
 
# adding the parent directory to 
# the sys.path.
sys.path.append(parent)

from src.agenda_culturel.import_tasks.downloader import *
from src.agenda_culturel.import_tasks.extractor import *
from src.agenda_culturel.import_tasks.importer import *
from src.agenda_culturel.import_tasks.custom_extractors import *





if __name__ == "__main__":

    u2e = URL2Events(SimpleDownloader(), acolab.CExtractor())
    url = "https://forum.acolab.fr/c/genericactivity/ouverture/15.rss"
    url_human = "https://forum.acolab.fr/c/genericactivity/ouverture/15"

    try:
        events = u2e.process(url, url_human, cache = "cache-acolab.html", default_values = {"location": "AcoLab"}, published = True)

        exportfile = "events-acolab.json"
        print("Saving events to file {}".format(exportfile))
        with open(exportfile, "w") as f:
            json.dump(events, f, indent=4, default=str)
    except Exception as e:
        print("Exception: " + str(e))
